/* -*- c++ -*-
 * TkResolver++ - Psychokinesis testing software
 *
 * Copyright (C) 2008 Robert Ham <rah@bash.sh>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef __TK_ITEM_H__
#define __TK_ITEM_H__

#include "libtkcommon/tkstring.h"
#include "libtkdb/value.h"
#include "libtkdb/database.h"

namespace Tk {
  namespace Editor {
    
    class Item
      {
      protected:
	Tk::Db::Database           *_database;
	Tk::Db::Id                  _id;
      public:
	Item (Tk::Db::Database *database, const Tk::Db::Id &id);
	virtual Tk::String get_store_cell_text() = 0;
	virtual void set_property(const Tk::String &name, Tk::Db::Data::Value &value) = 0;
      };
    
    
  } /* namespace Editor */
}; /* namespace Tk */

#endif /* __TK_ITEM_H__ */
