/*
 * TkResolver++ - Psychokinesis testing software
 *
 * Copyright (C) 2004, 2005, 2006, 2007, 2008 Robert Ham <rah@bash.sh>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef __TK_EXP_INTENT_SELECTOR_H__
#define __TK_EXP_INTENT_SELECTOR_H__

#include <gtkmm.h>

#include "libtkdb/database.h"

namespace Tk {
  namespace Experimenter {
    
    class IntentSelector : public Gtk::TreeView
      {
      private:
	class Columns : public Gtk::TreeModel::ColumnRecord
	  {
	  public:
	    Gtk::TreeModelColumn<Glib::ustring> code;
	    Gtk::TreeModelColumn<Glib::ustring> description;
	    Columns() { add(code); add(description); }
	  };
	
	Columns                      _columns;
	Glib::RefPtr<Gtk::ListStore> _store; 
	
	void fill_list(Db::Database * database, unsigned trace_count, const String &algorithm_spec, bool test);

      public:
	IntentSelector(Db::Database * database, unsigned trace_count, const String &algorithm_spec, bool test);
	Db::Code get_intent_code();
      };
    
  } /* namespace Experimenter */
}; /* namespace Tk */

#endif /* __TK_EXP_INTENT_SELECTOR_H__ */
