/* -*- c++ -*-
 * TkResolver++ - Psychokinesis testing software
 *
 * Copyright (C) 2004, 2005, 2006, 2007, 2008, 2009 Robert Ham <rah@bash.sh>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef __TK_EXPERIMENT_LOCATION_SELECTOR_H__
#define __TK_EXPERIMENT_LOCATION_SELECTOR_H__

#include <gtkmm.h>

#include "libtkcommon/tkstring.h"
#include "libtkdbui/domain_selector.h"

namespace Tk {
  namespace Experimenter {
    
    class LocationSelector : public Tk::Db::Ui::DomainSelector
      {
      protected:
	virtual Tk::String render_entity(const Tk::Db::Id &entity_id);
      public:
	LocationSelector(Tk::Db::Database *database);
	Tk::Db::Id get_location();
      };
    
  } /* namespace Experimenter */
}; /* namespace Tk */

#endif /* __TK_EXPERIMENT_LOCATION_SELECTOR_H__ */
