/* -*- c++ -*-
 * TkResolver++ - Psychokinesis testing software
 *
 * Copyright (C) 2004, 2005, 2006, 2007, 2008, 2009 Robert Ham <rah@bash.sh>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef __TK_DB_EXCEPTION_H__
#define __TK_DB_EXCEPTION_H__

#include <stdexcept>

#include "libtkcommon/tkstring.h"
#include "libtkdb/types.h"

namespace Tk {
  namespace Db {
    
    class UnknownType : public std::logic_error
    {
    private:
      Tk::String _type_name;
      Tk::String _domain;
    public:
      UnknownType(const Tk::String &type_name, const Tk::String &domain = ""); 
      virtual ~UnknownType() throw ();
      const Tk::String &get_type_name() const;
    };
    
    class PropertyNotSet : public std::runtime_error
    {
    public:
      PropertyNotSet(const Tk::String &domain, const Id &entity_id, const Tk::String &property_name);
    };

  }; /* namespace Db */
}; /* namespace Tk */

#endif /* __TK_DB_EXCEPTION_H__ */
