/*
 * TkResolver++ - Psychokinesis testing software
 *
 * Copyright (C) 2007 Robert Ham <rah@bash.sh>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "lanczos.h"
#include "matrix.h"
#include "rational.h"
#include "real.h"


using namespace Tk::MP;
using namespace Lanczos;

int main()
{
  /* test matricies */
  Real::Matrix f(2, 2);
  
  f[0][0] = 1.0;
  f[1][1] = 2.0;

  Rational::Matrix q(2, 2);
  f[0][0] = 1;
  f[1][1] = 1/2;

  Real::Matrix f2(q);
  
  Real::Matrix f3(f2 * f);

  Complex::Number gamma1( lngamma(Complex::Number(123.123, 0), Context(2, 7.0) ) );
  
  return 0;
}
