/*
 * TkResolver++ - Psychokinesis testing software
 *
 * Copyright (C) 2004 Robert Ham <rah@bash.sh>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef _GNU_SOURCE
#define _GNU_SOURCE
#endif

#include <wchar.h>

#include <stdlib.h>
#include <getopt.h>

#include "libtkcommon/debug.h"
#include "libtkrandom/randomness.h"

using namespace Tk;
using namespace Random;

void
test_value(unsigned long upper)
{
  unsigned long value;
  value = Randomness::get_number(upper); //, "pseudo");
  DEBUG_OUT << "upper: "
	    << upper
	    << "; value: "
	    << value
	    << std::endl;
}

void
test_average(unsigned long upper, unsigned n)
{
  unsigned long avg = 0;
  for (unsigned i = 0; i < n; ++i)
    avg += Randomness::get_number(upper);

  avg /= n;

  DEBUG_OUT << "upper: "
	    << upper
	    << "; n: "
	    << n
	    << "; average: "
	    << avg
	    << std::endl;
}

int
main (int argc, char ** argv)
{
  /*  for (unsigned long upper(30000);
       upper < 20000000;
       upper += 100000)
    {
      test_upper(upper);
      }*/

  //  for (unsigned long upper(10); upper < 20; ++upper)
  //    test_value(upper);

  for (unsigned i = 0; i < 10; ++i)
    test_value(20);

  for (unsigned short i = 0; i < 5; ++i)
    test_average(1000, 1000);
  for (unsigned short i = 0; i < 5; ++i)
    test_average(10000, 1000);

  return 0;
}
